## ide-lsp-completion-item ide-lsp-completion-item |

## Functions

IdeLspCompletionItem * | ide_lsp_completion_item_new ()
const gchar * | ide_lsp_completion_item_get_icon_name ()
const gchar * | ide_lsp_completion_item_get_return_type ()
const gchar * | ide_lsp_completion_item_get_detail ()
gchar * | ide_lsp_completion_item_get_markup ()
IdeSnippet * | ide_lsp_completion_item_get_snippet ()

## Types and Values

#define | IDE_TYPE_LSP_COMPLETION_ITEM
| IdeLspCompletionItem

## Object Hierarchy

        GObject
        ╰── IdeLspCompletionItem

## Implemented Interfaces

IdeLspCompletionItem implements IdeCompletionProposal.

## Description

## Functions

### ide_lsp_completion_item_new ()

    IdeLspCompletionItem *
    ide_lsp_completion_item_new (GVariant *variant);

### ide_lsp_completion_item_get_icon_name ()

    const gchar *
    ide_lsp_completion_item_get_icon_name (IdeLspCompletionItem *self);

### ide_lsp_completion_item_get_return_type ()

    const gchar *
    ide_lsp_completion_item_get_return_type
                                   (IdeLspCompletionItem *self);

### ide_lsp_completion_item_get_detail ()

    const gchar *
    ide_lsp_completion_item_get_detail (IdeLspCompletionItem *self);

### ide_lsp_completion_item_get_markup ()

    gchar *
    ide_lsp_completion_item_get_markup (IdeLspCompletionItem *self,
                                        const gchar *typed_text);

### ide_lsp_completion_item_get_snippet ()

    IdeSnippet *
    ide_lsp_completion_item_get_snippet (IdeLspCompletionItem *self);

Creates a new snippet for the completion item to be inserted into the document.

#### Parameters

self | a IdeLspCompletionItem |

#### Returns

an IdeSnippet.

[transfer full]

Since: 3.30

## Types and Values

### IDE_TYPE_LSP_COMPLETION_ITEM

    #define IDE_TYPE_LSP_COMPLETION_ITEM (ide_lsp_completion_item_get_type())

### IdeLspCompletionItem

    typedef struct _IdeLspCompletionItem IdeLspCompletionItem;